<?xml version="1.0" encoding="utf-8"?>
<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <UseWPF>true</UseWPF>
    <RootNamespace>RoslynPad.Roslyn</RootNamespace>
    <Version>$(RoslynAssemblyVersion)</Version>
    <PackageVersion>$(RoslynPackageVersion)</PackageVersion>
    <Description>Provides platform-specific (WPF) implementations for UI elements required by the RoslynPad.Roslyn package.</Description>
    <IsPackable>true</IsPackable>
    <TargetFramework>net6.0-windows</TargetFramework>
    <TargetFrameworks/>
  </PropertyGroup>
  <ItemGroup>
    <PackageReference Include="Microsoft.CodeAnalysis.CSharp.CodeStyle" Version="4.0.1">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\RoslynPad.Roslyn\RoslynPad.Roslyn.csproj"/>
  </ItemGroup>
</Project>
